process-cpp: core::posix::ChildProcess::Private Struct Reference

process-cpp 3.0.0 A simple convenience library for handling processes in C++11.

Public Member Functions | Public Attributes | List of all members
core::posix::ChildProcess::Private Struct Reference
Collaboration diagram for core::posix::ChildProcess::Private:

## Public Member Functions
| Private (pid_t pid, const ChildProcess::Pipe &stderr, const ChildProcess::Pipe &stdin, const ChildProcess::Pipe &stdout)
| ~Private ()

## Public Attributes
struct {
ChildProcess::Pipe stdin
ChildProcess::Pipe stdout
ChildProcess::Pipe stderr
} | pipes
io::stream_buffer< io::file_descriptor_source > | serr
io::stream_buffer< io::file_descriptor_sink > | sin
io::stream_buffer< io::file_descriptor_source > | sout
std::istream | cerr
std::ostream | cin
std::istream | cout
pid_t | original_parent_pid
pid_t | original_child_pid

## Detailed Description

Definition at line 273 of file child_process.cpp.

## Constructor & Destructor Documentation

## ◆ Private()

core::posix::ChildProcess::Private::Private | ( | pid_t | pid,
|  | const ChildProcess::Pipe & | stderr,
|  | const ChildProcess::Pipe & | stdin,
|  | const ChildProcess::Pipe & | stdout
| ) |  |
| inline

Definition at line 277 of file child_process.cpp.

References core::posix::empty.

## ◆ ~Private()

core::posix::ChildProcess::Private::~Private | ( |  | ) |
| inline

Definition at line 293 of file child_process.cpp.

## Member Data Documentation

## ◆ cerr

std::istream core::posix::ChildProcess::Private::cerr

Definition at line 314 of file child_process.cpp.

## ◆ cin

std::ostream core::posix::ChildProcess::Private::cin

Definition at line 315 of file child_process.cpp.

## ◆ cout

std::istream core::posix::ChildProcess::Private::cout

Definition at line 316 of file child_process.cpp.

## ◆ original_child_pid

pid_t core::posix::ChildProcess::Private::original_child_pid

Definition at line 322 of file child_process.cpp.

## ◆ original_parent_pid

pid_t core::posix::ChildProcess::Private::original_parent_pid

Definition at line 321 of file child_process.cpp.

## ◆ pipes

struct { ... } core::posix::ChildProcess::Private::pipes

## ◆ serr

io::stream_buffer<io::file_descriptor_source> core::posix::ChildProcess::Private::serr

Definition at line 311 of file child_process.cpp.

## ◆ sin

io::stream_buffer<io::file_descriptor_sink> core::posix::ChildProcess::Private::sin

Definition at line 312 of file child_process.cpp.

## ◆ sout

io::stream_buffer<io::file_descriptor_source> core::posix::ChildProcess::Private::sout

Definition at line 313 of file child_process.cpp.

## ◆ stderr

ChildProcess::Pipe core::posix::ChildProcess::Private::stderr

Definition at line 309 of file child_process.cpp.

## ◆ stdin

ChildProcess::Pipe core::posix::ChildProcess::Private::stdin

Definition at line 307 of file child_process.cpp.

## ◆ stdout

ChildProcess::Pipe core::posix::ChildProcess::Private::stdout

Definition at line 308 of file child_process.cpp.

The documentation for this struct was generated from the following file:

- /build/process-cpp/src/process-cpp-3.0.1/src/core/posix/child_process.cpp